const express = require("express");
const router = express.Router();
const {
  getMinutesOfMeetings,
  getSingleMinutesOfMeeting,
  createMinutesOfMeeting,
  updateMinutesOfMeeting,
} = require("../controllers/minutes-of-meeting");
const authMiddleware = require("../middleware/authMiddleware");

router.use(authMiddleware);

router.get("/", getMinutesOfMeetings);

router.get("/:id", getSingleMinutesOfMeeting);

router.post("/", createMinutesOfMeeting);

router.patch("/", updateMinutesOfMeeting);

module.exports = router;
